import 'package:niogu_app/core/database/app_database.dart';
import 'package:niogu_app/features/stock_check/domain/repositories/i_stock_checked_repository.dart';
import 'package:niogu_app/features/stock_in/domain/entities/stock_in.dart';

class StockCheckedRepositoryImpl implements IStockCheckedRepository {
  final AppDatabase _appDatabase;

  StockCheckedRepositoryImpl(this._appDatabase);

  @override
  Future<void> updateStockItem(List<UpdateStockItem> items) async {
    return await _appDatabase.stockCardDao.updateStockItem(
      purchaseItem: [],
      items: items,
    );
  }
}
